Bug 1251638 - dmesg spammed by clocksource hstimer [NEEDINFO]
dmesg spammed by clocksource hstimer
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
armv7hl Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-08 02:32 EDT by Gerhard Wiesinger
Modified: 2015-11-23 12:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:13:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Gerhard Wiesinger 2015-08-08 02:32:42 EDT
Description of problem:
With Fedora 4.1 kernels on the Banana PI (ARM Kernel) the dmesg log is spammed by the following messages:
dmesg spmmed by clocksource hstimer: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 238907555784 ns

Please integrate the following patch:
http://permalink.gmane.org/gmane.comp.hardware.netbook.arm.sunxi/17500
https://git.kernel.org/cgit/linux/kernel/git/arm/arm-soc.git/commit/?h=next/dt&id=2186df37831a8bb259bbf2ae07356747a03d0b8d

Version-Release number of selected component (if applicable):
Kernel version 4.1 on arm plattform, Banana Pi

How reproducible:
always

Steps to Reproduce:
1.Boot the kernel

Actual results:
dmesg spmmed by clocksource hstimer: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 238907555784 ns

Expected results:
No spamming of dmesg

Additional info:
See the links above
Comment 1 Gerhard Wiesinger 2015-08-21 09:41:47 EDT
Please integrate spec file/patches from:
http://www.wiesinger.com/opensource/fedora/kernel/BananaPi-R1/

Includes also b53 switch from OpenWRT so that Banana Pi-R1 works well
Comment 2 Peter Robinson 2015-08-21 09:48:12 EDT
We won't be integrating any patch that's not already headed upstream. Sorry, there's just not enough people to support that.

I will review the hstimer issue once I get time but as it's purely just dmesg spam it's not my current priority
Comment 3 Justin M. Forbes 2015-10-20 15:23:47 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 4 Fedora Kernel Team 2015-11-23 12:13:11 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.